# $Revision: 1.34 $, $Date: 2002/05/02 10:50:12 $
Summary:	Password checking library
Summary(es):	Biblioteca de chequeo de contraseas
Summary(fr):	Bibliothque de vrification de mots de passe
Summary(pl):	Biblioteka sprawdzania hase
Summary(pt_BR):	Biblioteca de checagem de senhas
Summary(ru):	  
Summary(tr):	Parola denetim kitapl
Summary(uk):	̦ צ ̦
Name:		cracklib
Version:	2.7
Release:	16
License:	Artistic
Group:		Libraries
Source0:	ftp://coast.cs.purdue.edu/pub/tools/unix/cracklib/%{name}_%{version}.tgz
Patch0:		%{name}.patch
Patch1:		%{name}-pld.patch
Patch2:		%{name}-nss.patch
BuildRequires:	words
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics. You can use CrackLib to stop users
from choosing passwords which would be easy to guess. CrackLib
performs certain tests:

- It tries to generate words from a username and gecos entry and
  checks those words against the password;
- It checks for simplistic patterns in passwords;
- It checks for the password in a dictionary.

CrackLib is actually a library containing a particular C function
which is used to check the password, as well as other C functions.
CrackLib is not a replacement for a passwd program; it must be used in
conjunction with an existing passwd program.

Install the cracklib package if you need a program to check users'
passwords to see if they are at least minimally secure. If you install
CrackLib, you'll also want to install the cracklib-dicts package.

%description -l de
berprft Pawrter auf Sicherheitsmerkmale - Lnge, Eindeutigkeit,
Anwesenheit in einer Wrter-Datenbank usw.

%description -l es
Incluye los diccionarios cracklib para el padrn /usr/dict/words, as
como, los utilitarios necesarios para crear diccionarios.

%description -l fr
Vrifie les caractristiques lies  la scurit des mots de passe -
longueur, unicit, s'ils sont dans une base de mots, etc.

%description -l pl
Sprawdza hasa pod ktem bezpieczestwa - dugo, unikalno, czy
wystpuj w sowniu itp.

%description -l pt_BR
Inclui os dicionrios cracklib para o padro /usr/dict/words, assim
como os utilitrios necessrios para criar dicionrios.

%description -l ru
CrackLib       
.       
  . CrackLib  
:

-        gecos   
   ;
-     ;
-       .

CrackLib - , , ,  
 C       .  
  passwd,      
 passwd.

%description -l tr
Parolalarn uzunluklar, sistemde tek olmalar, szck veri tabannda
bulunmamalar gibi gvenlikle ilgili zelliklerini kontrol eder.

%description -l uk
CrackLib צѤ ̦  צצΦ  Ҧ .
     ¦  
̦, ˦  צ.  դ ˦ :

- դ   Φ    gecos  Ҧ  
  ;
-    Ԧ ;
- צѤ ̦  Φ   .

CrackLib - , , ¦̦,  ͦ Ʀ æ C 
צ ̦  ˦ ۦ æ.   ͦ 
passwd,    Ц    passwd.

%package devel
Summary:	Header files and documentation for cracklib
Summary(es):	Archivos de inclusin y bibliotecas para cracklib
Summary(pl):	Pliki nagwkowe i dokumentacja dla cracklib
Summary(pt_BR):	Arquivos de incluso e bibliotecas para a cracklib
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and documentation for cracklib.

%description devel -l es
Este paquete contiene los archivos de inclusin y bibliotecas que se
necesitan para desarrollar programas que usan cracklib.

%description devel -l pl
Pliki nagwkowe i dokumentacja dla cracklib.

%description devel -l pt_BR
Este pacote contm os arquivos de incluso e bibliotecas que so
necessrios para desenvolver programas que usam a cracklib.

%package dicts
Summary:	Standard dictionaries (/usr/share/dict/words)
Summary(de):	Standard-Wrterbcher (/usr/share/dict/words)
Summary(es):	Diccionarios para chequeo de contraseas
Summary(fr):	Dictionnaires standards (/usr/share/dict/words)
Summary(pl):	Standardowe sowniki (/usr/share/dict/words)
Summary(pt_BR):	Dicionrios para checagem de senhas
Summary(ru):	  CrackLib
Summary(tr):	Standart szlkler (/usr/share/dict/words)
Summary(uk):	Φ  CrackLib
Group:		Applications/System

%description dicts
The cracklib-dicts package includes the CrackLib dictionaries.
CrackLib will need to use the dictionary appropriate to your system,
which is normally put in /usr/share/dict/words. Cracklib-dicts also
contains the utilities necessary for the creation of new dictionaries.

%description dicts -l de
Enthlt die Cracklib-Wrterbcher fr die
Standard-/usr/share/dict/Wrter sowie Utilities zum Erstellen neuer
Wrterbcher"

%description dicts -l es
Incluye el diccionario cracklib para el padrn /usr/dict/words, bien
como utilitarios necesarios a creacin de nuevos diccionarios.

%description dicts -l fr
Contient les dictionnaires cracklib pour le /usr/share/dict/words
standard, ainsi que les utilitaires ncessaires  la cration de
nouveaux dictionnaires.

%description dicts -l pl
Pakiet zawiera sowniki cracklib'a dla standardowego
/usr/share/dict/words oraz narzdzia do tworzenia nowych sownikw.

%description dicts -l pt_BR
Inclui o dicionrio cracklib para o padro /usr/dict/words, bem como
utilitrios necessrios a criao de novos dicionrios.

%description dicts -l ru
 cracklib-dicts   CrackLib. CrackLib  
,   ,    
/usr/share/dict/words. Cracklib-dicts   ,
    .

%description dicts -l tr
/usr/share/dict/words dosyas iin 'cracklib' kitaplklarn ve yeni
szlkler yaratlmas iin gerekli yardmc programlar ierir.

%description dicts -l uk
 cracklib-dicts ͦ  CrackLib. CrackLib 
ҦΦ ,  צצ ۦ ͦ, Ҧ 
  /usr/share/dict/words. Cracklib-dicts  ͦ
̦, ȦΦ    ˦.

%prep
%setup	-q -n %{name},%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} all \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_libdir},%{_includedir},%{_datadir}/dict}

%{__make} install \
	ROOT=$RPM_BUILD_ROOT

install cracklib/packer.h $RPM_BUILD_ROOT%{_includedir}

gzip -9nf README MANIFEST LICENCE POSTER HISTORY

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc {README,MANIFEST,LICENCE,POSTER}.gz

%attr(755,root,root) %{_libdir}/lib*so.*

%files devel
%defattr(644,root,root,755)
%doc HISTORY.gz
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*

%files dicts
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%{_datadir}/dict/cracklib_dict*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cracklib.spec,v $
Revision 1.34  2002/05/02 10:50:12  kloczek
- bump release to 16: merge translations from KSI and Conectiva.

Revision 1.33  2002/05/02 00:10:08  qboosh
- added packer.h to -devel
- use proper CC and optflags (changed patch)
- release 15

Revision 1.32  2002/04/25 16:07:01  arturs
fixed a small typo

Revision 1.31  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/02/18 16:40:10  gotar
- added/fixed polish %descriptions.

Revision 1.29  2002/01/18 02:12:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/11/21 13:29:46  kloczek
- relase 14,
- spec adapterized,
- merge nss patch from rawhide (use getpwuid_r instead of getpwuid).

Revision 1.27  2000/12/19 07:51:47  kloczek
- release 9: use new rpm automation.

Revision 1.26  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.24  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.22  1999/07/28 13:19:03  kloczek
- more rpm macros,
- cosmetic changes for common l&f.

Revision 1.21  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.20  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Apr 28 1999 Artur Frysiak <wiget@pld.org.pl>
  [2.7-7]
- build with new rpm
- striped executable

* Tue Jan 26 1999 Micha Kuratczyk <kurkens@polbox.com>
- added pl translations
- cosmetics changes

* Sat Aug 15 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.7-3]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source and %setup,
- added stripping shared libraries,
- added devel subpackage,
- added %attr and %defattr macros in %files (allows build package from
  non-root account).
